From da38b7c2a5ae54acbd643b1e343d094749b892f0 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Sep 16 2020 15:55:24 +0000
Subject: [PATCH 882/2232] Update case of basetsd.h import to support cross compilation


---

diff --git a/gen/src/include.rs b/gen/src/include.rs
index 54a359f..1688a4e 100644
--- a/gen/src/include.rs
+++ b/gen/src/include.rs
@@ -61,7 +61,7 @@ pub struct Includes {
     pub type_traits: bool,
     pub utility: bool,
     pub vector: bool,
-    pub base_tsd: bool,
+    pub basetsd: bool,
 }
 
 impl Includes {
@@ -122,9 +122,9 @@ impl Display for Includes {
         if self.vector {
             writeln!(f, "#include <vector>")?;
         }
-        if self.base_tsd {
+        if self.basetsd {
             writeln!(f, "#if defined(_WIN32)")?;
-            writeln!(f, "#include <BaseTsd.h>")?;
+            writeln!(f, "#include <basetsd.h>")?;
             writeln!(f, "#endif")?;
         }
         Ok(())
diff --git a/gen/src/write.rs b/gen/src/write.rs
index a6f6c3e..862be81 100644
--- a/gen/src/write.rs
+++ b/gen/src/write.rs
@@ -177,7 +177,7 @@ fn write_include_cxxbridge(out: &mut OutFile, apis: &[Api], types: &Types) {
                 needs_rust_slice = true;
             }
             ty if ty == Isize => {
-                out.include.base_tsd = true;
+                out.include.basetsd = true;
                 needs_rust_isize = true;
             }
             ty if ty == RustString => {
diff --git a/include/cxx.h b/include/cxx.h
index 3995924..b2e0eee 100644
--- a/include/cxx.h
+++ b/include/cxx.h
@@ -11,7 +11,7 @@
 #include <utility>
 #include <vector>
 #if defined(_WIN32)
-#include <BaseTsd.h>
+#include <basetsd.h>
 #endif
 
 namespace rust {

